import { withA11y } from '@storybook/addon-a11y'
import ProjectHighlightPanel from './ProjectHighlightPanel'

export default {
  title: 'ProjectHighlightPanel',
  component: ProjectHighlightPanel,
  decorators: [withA11y]
}

export const Base = () => ({
  components: { ProjectHighlightPanel },
  data: () => ({
    projects: [
      {
        headline: 'Name of a project',
        eyebrow: 'Client name',
        link: '#',
        color: 'green',
        image: 'https://www.fillmurray.com/g/1200/768'
      },
      {
        headline: 'Drive adoption of new technology',
        eyebrow: 'Autodesk Fusion360',
        link: '#',
        color: 'salmon',
        image: 'https://www.fillmurray.com/g/1024/768'
      },
    ]
  }),
  template: `
    <ProjectHighlightPanel :projects="projects" class="bg-salmon" />
  `
})